Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.lookup.entry
Class LocationBean

    java.lang.Object
      net.jini.lookup.entry.LocationBean

All Implemented Interfaces:
  EntryBean, Serializable

public class LocationBean
extends Object
implements EntryBean, Serializable

A JavaBeans(TM) component that encapsulates a Location object.

See Also:
  `Location`, `Address`, `AddressBean`, Serialized Form

Field Summary
`protected Location` | `assoc` The Location object associated with this JavaBeans component.

Constructor Summary
`LocationBean()` Construct a new JavaBeans component linked to a new empty Location object.

Method Summary
`Entry` | `followLink()` Return the Entry linked to by this JavaBeans component.
`String` | `getBuilding()` Return the value of the building field in the Location object linked to by this JavaBeans component.
`String` | `getFloor()` Return the value of the floor field in the Location object linked to by this JavaBeans component.
`String` | `getRoom()` Return the value of the room field in the Location object linked to by this JavaBeans component.
`void` | `makeLink(Entry e)` Make a link to an Entry object.
`void` | `setBuilding(String x)` Set the value of the building field in the Location object linked to by this JavaBeans component.
`void` | `setFloor(String x)` Set the value of the floor field in the Location object linked to by this JavaBeans component.
`void` | `setRoom(String x)` Set the value of the room field in the Location object linked to by this JavaBeans component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### assoc

    protected Location assoc

  The Location object associated with this JavaBeans component.

Constructor Detail

### LocationBean

    public LocationBean()

  Construct a new JavaBeans component linked to a new empty Location object.

Method Detail

### makeLink

    public void makeLink(Entry e)

  Make a link to an Entry object.

  Specified by:
    `makeLink` in interface `EntryBean`
  Parameters:
    `e` - the Entry object to link to
  Throws:
    `ClassCastException` - the Entry is not of the correct type for this JavaBeans component

### followLink

    public Entry followLink()

  Return the Entry linked to by this JavaBeans component.

  Specified by:
    `followLink` in interface `EntryBean`
  Returns:
    the entry linked to by this JavaBeans component.

### getFloor

    public String getFloor()

  Return the value of the floor field in the Location object linked to by this JavaBeans component.

  Returns:
    a String representing the floor value
  See Also:
    `setFloor(java.lang.String)`

### setFloor

    public void setFloor(String x)

  Set the value of the floor field in the Location object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the floor value
  See Also:
    `getFloor()`

### getRoom

    public String getRoom()

  Return the value of the room field in the Location object linked to by this JavaBeans component.

  Returns:
    a String representing the room value
  See Also:
    `setRoom(java.lang.String)`

### setRoom

    public void setRoom(String x)

  Set the value of the room field in the Location object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the room value
  See Also:
    `getRoom()`

### getBuilding

    public String getBuilding()

  Return the value of the building field in the Location object linked to by this JavaBeans component.

  Returns:
    a String representing the building value
  See Also:
    `setBuilding(java.lang.String)`

### setBuilding

    public void setBuilding(String x)

  Set the value of the building field in the Location object linked to by this JavaBeans component.

  Parameters:
    `x` - a String specifying the building value
  See Also:
    `getBuilding()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved